Subject: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jun 2016 17:48:34 +0300

> From: Tino Calancha <[email-masked]>
> Date: Mon, 20 Jun 2016 18:21:09 +0900
> Cc: [email-masked], [email-masked]
> 
> * I agree with Drew that there is neither sexp nor list at point,
>    so i would expect I), II), III) and IV) returning nil.

FWIW, I agree with Dmitry: this has been a de-facto behavior long
enough to consider it the correct one.  If documentation is confusing
in that it says otherwise, we should fix the documentation.